import { OnInit } from '@angular/core';
import { CustomerPreference } from '../../services/preference/preference';
import { PreferenceService } from '../../services/preference/preference.service';
import { Subscription } from 'rxjs/Subscription';
import { OnChanges, SimpleChanges } from '@angular/core/src/metadata/lifecycle_hooks';
export declare class PreferenceComponent implements OnInit, OnChanges {
    private prefService;
    token: string;
    clientId: string;
    externalParameters: object;
    dirty: boolean;
    customerPreference: CustomerPreference;
    constructor(prefService: PreferenceService);
    ngOnInit(): void;
    ngOnChanges(changes: SimpleChanges): void;
    getCustomerPreference(): Subscription;
    saveCustomerPreference(): void;
}
